Subject: Re: bug#11858: df -m undocumented, why no df -g

From: Eric Blake <[email-masked]>
Date: Thu, 05 Jul 2012 05:21:36 -0600

On 07/05/2012 12:48 AM, Bernhard Voelker wrote:

>> I think the general idea is that -k was a mistake, but
>> it's standardized, and that we don't want to have
>> options -m, -g, -t, -p, -e, -z, -y for the other sizes
>> (among other things -t is already taken).  -m is there
>> only for BSD compatibility but we don't want to publicize
>> it and we may want to take it back at some point.
> 
> Wouldn't it then be consequent to remove the long option --megabyte?
> (It's sister --kilobyte has been removed by v6.9-151-g1e07a21
> in 2007.)

In fact, the reason we removed --kilobyte was that it is a misnomer; -k
works on kibibytes, not kilobytes.  Similarly, -m works on mebibytes,
not megabytes.  So whether or not we keep -m but leave it undocumented,
removing the long form --megabyte makes complete sense.

> 
>>>From 664bf8a103585915896f3be9f3a01f11ce17ddc6 Mon Sep 17 00:00:00 2001
> From: Bernhard Voelker <[email-masked]>
> Date: Thu, 5 Jul 2012 08:44:22 +0200
> Subject: [PATCH] df: Remove long-obsolescent --megabyte option.
> 
> * src/df.c (long_options): Remove --megabyte option.

I like this patch, but I'll let Jim decide whether to apply it.

-- 
Eric Blake   [email-masked]    +1-919-301-3266
Libvirt virtualization library http://libvirt.org